Maintenance releases of 6.2-7.0 versions with fixes for Firefox 67

Hi everyone!

update2-970x546

Firefox 67.0 has a breaking change that overrides any variable with name u2f. This breaks many Vaadin and GWT applications because the minifier quite quickly starts using u2f as a function or variable name. That’s why we’ve released the following maintenance versions of the platform:

  • 6.2.10
  • 6.3.8
  • 6.4.7
  • 6.5.10
  • 6.6.8
  • 6.7.15
  • 6.8.18
  • 6.9.10
  • 6.10.10
  • 7.0.7

All of them include fixes for Firefox 67.0+:

  • Override reserved globals for Firefox 67 #2146.

In order to determine if your application is affected by the problem described above, you need to do the following:

  1. Open Developer Tools
  2. Go to the Sources tab
  3. Open ...WidgetSet-0.js (it can have a different name)
  4. Search for u2f (see the image below)

If u2f is found then update your solutions as soon as possible!

Please note that U2f and u2F are correct names.

26

3 Likes

Hi Gleb,

I just wonder that the version 7.0.7 is not shown as the current 7.0 version on your website and also I don’t get the version as an option in the project properties dialog (only version 7.0.6 is shown as the ‘newest’ version)

Please can you say how I get the 7.0.7 up and running?

Thanks in advance
Steven

Hi,

This version is not yet released, coming soon.